## ros-one-cras-msgs 1.1.1-7jammy.20251211.2048

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: Czech Technical University in Prague

cmake_minimum_required(VERSION 3.10.2)
project(cras_msgs)

find_package(ros_environment REQUIRED)

find_package(ament_cmake QUIET)
find_package(catkin QUIET)

if(catkin_FOUND)
    # ROS 1

    find_package(catkin REQUIRED COMPONENTS
      message_generation
      std_msgs
    )

    add_message_files(FILES
      Brightness.msg
      BrightnessStamped.msg
      ColorRGBAStamped.msg
      ElectricCurrent.msg
      ElectricCurrentStamped.msg
      Heartbeat.msg
      Power.msg
      PowerStamped.msg
      PowerSwitchState.msg
      PowerSwitchStateStamped.msg
      Voltage.msg
      VoltageStamped.msg
    )
    add_message_files(DIRECTORY msg BASE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/msg_ros1" FILES
      ElectricCurrentMeasurement.msg
      PowerMeasurement.msg
      VoltageMeasurement.msg
    )

    add_service_files(FILES
      SetBrightness.srv
      SetColor.srv
    )

    generate_messages(DEPENDENCIES
      std_msgs
    )

    catkin_package(
      INCLUDE_DIRS include
      CATKIN_DEPENDS message_runtime std_msgs
    )

    install(DIRECTORY include/${PROJECT_NAME}/
      DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
      FILES_MATCHING PATTERN "*.h"
    )

    if(CATKIN_ENABLE_TESTING)
      find_package(roslint REQUIRED)

      # catkin_lint - checks validity of package.xml and CMakeLists.txt
      # ROS buildfarm calls this without any environment and with empty rosdep cache,
      # so we have problems reading the list of packages from env
      # see https://github.com/ros-infrastructure/ros_buildfarm/issues/923
      if(DEFINED ENV{ROS_HOME})
        #catkin_lint: ignore_once env_var
        set(ROS_HOME "$ENV{ROS_HOME}")
      else()
        #catkin_lint: ignore_once env_var
        set(ROS_HOME "$ENV{HOME}/.ros")
      endif()

      #catkin_lint: ignore_once env_var
      if(DEFINED ENV{ROS_ROOT} AND EXISTS "${ROS_HOME}/rosdep/sources.cache")
        roslint_custom(catkin_lint "-W2" .)
      endif()

      # Roslint C++ - checks formatting and some other rules for C++ files

      file(GLOB_RECURSE ROSLINT_INCLUDE include/*.h include/*.hpp)
      file(GLOB_RECURSE ROSLINT_TEST test/*.cpp)

      set(ROSLINT_CPP_OPTS "--extensions=h,hpp,hh,c,cpp,cc;--linelength=120;--filter=\
        -build/header_guard,-readability/namespace,-whitespace/braces,-runtime/references,\
        -build/c++11,-readability/nolint,-readability/todo,-legal/copyright")
      roslint_cpp(${ROSLINT_INCLUDE})

      set(ROSLINT_CPP_OPTS "${ROSLINT_CPP_OPTS},-build/namespaces")  # allow "using namespace" in tests
      roslint_cpp(${ROSLINT_TEST})

      roslint_add_test()

      find_package(Boost REQUIRED)
      find_package(sensor_msgs REQUIRED)

      include_directories(include)
      include_directories(${Boost_INCLUDE_DIRS})
      include_directories(${sensor_msgs_INCLUDE_DIRS})

      catkin_add_gtest(test_pool_allocated test/test_pool_allocated.cpp)
      target_link_libraries(test_pool_allocated ${Boost_LIBRARIES} ${sensor_msgs_LIBRARIES})
    endif()

elseif(ament_cmake_FOUND)

    # ROS 2
    find_package(rosidl_default_generators REQUIRED)
    find_package(std_msgs REQUIRED)

    rosidl_generate_interfaces(${PROJECT_NAME}
      "msg/Brightness.msg"
      "msg/BrightnessStamped.msg"
      "msg/ColorRGBAStamped.msg"
      "msg/ElectricCurrent.msg"
      "${CMAKE_CURRENT_SOURCE_DIR}/msg_ros2:msg/ElectricCurrentMeasurement.msg"
      "msg/ElectricCurrentStamped.msg"
      "msg/Heartbeat.msg"
      "msg/Power.msg"
      "${CMAKE_CURRENT_SOURCE_DIR}/msg_ros2:msg/PowerMeasurement.msg"
      "msg/PowerStamped.msg"
      "msg/PowerSwitchState.msg"
      "msg/PowerSwitchStateStamped.msg"
      "msg/Voltage.msg"
      "${CMAKE_CURRENT_SOURCE_DIR}/msg_ros2:msg/VoltageMeasurement.msg"
      "msg/VoltageStamped.msg"
      "srv/SetBrightness.srv"
      "srv/SetColor.srv"
      DEPENDENCIES std_msgs
      ADD_LINTER_TESTS
    )

    if(BUILD_TESTING)
        find_package(ament_lint_auto REQUIRED)
        list(APPEND AMENT_LINT_AUTO_EXCLUDE ament_cmake_cpplint ament_cmake_copyright ament_cmake_uncrustify)
        ament_lint_auto_find_test_dependencies()
    endif()

    ament_package()

else()
    message(FATAL_ERROR "Build failed because neither catkin nor ament found.")
endif()

=== debian/changelog ===
ros-one-cras-msgs (1.1.1-7jammy.20251211.2048) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 11 Dec 2025 20:48:08 +0000

ros-one-cras-msgs (1.1.1-0jammy) jammy; urgency=high

  * Added power messages.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 25 Aug 2023 00:00:00 -0000

ros-one-cras-msgs (1.1.0-0jammy) jammy; urgency=high

  * Added new messages (mostly for electronic_io).
  * Clean up undesired includes.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 04 May 2023 00:00:00 -0000

ros-one-cras-msgs (1.0.1-0jammy) jammy; urgency=high

  * Prepared package for release.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 30 Mar 2023 00:00:00 -0000

=== debian/control ===
Source: ros-one-cras-msgs
Section: misc
Priority: optional
Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-message-generation, ros-one-ros-environment, ros-one-std-msgs
Homepage: https://wiki.ros.org/cras_msgs
Standards-Version: 3.9.2

Package: ros-one-cras-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-message-runtime, ros-one-std-msgs
Description: Common messages used by CRAS

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-cras-msgs//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-cras-msgs 1.1.1-7noble.20251211.2052

=== debian/changelog ===
ros-one-cras-msgs (1.1.1-7noble.20251211.2052) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 11 Dec 2025 20:52:52 +0000

ros-one-cras-msgs (1.1.1-0noble) noble; urgency=high

  * Added power messages.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 25 Aug 2023 00:00:00 -0000

ros-one-cras-msgs (1.1.0-0noble) noble; urgency=high

  * Added new messages (mostly for electronic_io).
  * Clean up undesired includes.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 04 May 2023 00:00:00 -0000

ros-one-cras-msgs (1.0.1-0noble) noble; urgency=high

  * Prepared package for release.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 30 Mar 2023 00:00:00 -0000

## ros-one-cras-msgs 2.0.1-0jammy.20260126.2052

=== debian/changelog ===
ros-one-cras-msgs (2.0.1-0jammy.20260126.2052) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 26 Jan 2026 20:52:22 +0000

ros-one-cras-msgs (2.0.1-0jammy) jammy; urgency=high

  * CI: Fixed name of license lint action
  * Fixed package website link
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 26 Jan 2026 00:00:00 -0000

ros-one-cras-msgs (2.0.0-0jammy) jammy; urgency=high

  * Lint generated message files
  * Add ros_environment as a build dependency to make ROS_DISTRO available for CMake.
  * Added CI.
  * ROS 2 port.
    master branch is now compatible with both ROS 1 and ROS 2.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 26 Jan 2026 00:00:00 -0000

## ros-one-cras-msgs 2.0.1-0noble.20260126.2052

=== debian/changelog ===
ros-one-cras-msgs (2.0.1-0noble.20260126.2052) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 26 Jan 2026 20:52:04 +0000

ros-one-cras-msgs (2.0.1-0noble) noble; urgency=high

  * CI: Fixed name of license lint action
  * Fixed package website link
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 26 Jan 2026 00:00:00 -0000

ros-one-cras-msgs (2.0.0-0noble) noble; urgency=high

  * Lint generated message files
  * Add ros_environment as a build dependency to make ROS_DISTRO available for CMake.
  * Added CI.
  * ROS 2 port.
    master branch is now compatible with both ROS 1 and ROS 2.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 26 Jan 2026 00:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
 Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-message-generation, ros-one-ros-environment, ros-one-std-msgs
-Homepage: https://wiki.ros.org/cras_msgs
+Homepage: https://index.ros.org/p/cras_msgs
 Standards-Version: 3.9.2
 
 Package: ros-one-cras-msgs
